const InformeMoi = require('./InformeMoi.js');
const DatabaseCommand = require('./DatabaseCommand.js');
const CommandVoteParser = require('./CommandVoteParser.js');
const CommandQui = require('./CommandQui.js');


class CommandParser {

    constructor(client, voteParser) {
        this.client = client;
        this.informeMoi = new InformeMoi(client);
        this.databaseCommand = new DatabaseCommand(client);
        this.commandVoteParser = new CommandVoteParser(voteParser);
        this.commandQui = new CommandQui(client);
    }

    parse(message) {
        if (message.author.id !== this.client.application.id) {
            this.informeMoi.parse(message);
            this.databaseCommand.parse(message);
            this.commandVoteParser.parse(message);
            this.commandQui.parse(message);
        }
    }
}

module.exports = CommandParser;